FROM node:16-alpine as builder

ENV NODE_ENV=production
ENV GENERATE_SOURCEMAP=false
ENV DISABLE_ESLINT_PLUGIN=true

ARG REACT_APP_COLOR_PRIMARY
ARG REACT_APP_COLOR_SECONDARY
ARG REACT_APP_COLOR_TERTIARTY

WORKDIR /app

COPY package.json /app/

RUN yarn install

COPY . /app

RUN yarn build


FROM nginx:alpine

COPY --from=builder /app/build /usr/share/nginx/html

COPY --from=builder /app/nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 3000

ENTRYPOINT ["nginx", "-g", "daemon off;"]